/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;

/**
 *
 * @author Administrador
 */
public interface DetDiagramaAutobusService {
	
	public List<DetDiagramaAutobus> obtenerTodos();

    public DetDiagramaAutobus obtenerID(Short id);

    public DetDiagramaAutobus suscribir(DetDiagramaAutobus entidad);

    public DetDiagramaAutobus actualizacion(DetDiagramaAutobus entidad);

    public void borrar(DetDiagramaAutobus entidad);
    
    DetDiagramaAutobus obtenerPorDiagramaAutobusAsiento(Integer diagramaAutobusId, String numAsiento);
}
